# tig 2.6.1 — interfaz ncurses para git (C). De-Alpinizada: gcc, configure-split, ncurses+pcre2.
name    = "tig"
version = "2.6.1"
[source]
tarball = "https://github.com/jonas/tig/releases/download/tig-2.6.1/tig-2.6.1.tar.gz"
sha256  = "5adeabdcd93aa0423d618da8b878b53482bef6e0e9e1fe224acc0f18031fe91e"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --sysconfdir=/etc CFLAGS="-O2 -Wno-int-conversion" CPPFLAGS=-I/usr/include LDFLAGS="-static -L/usr/lib"'
compile   = 'make'
install   = 'make DESTDIR=/out install'
[deps]
build = ["ncurses", "pcre2"]
